Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153098 - rhnpush --new_cache should be --new-cache
Summary: rhnpush --new_cache should be --new-cache
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: rhn370
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Wregglesworth
QA Contact: Max Spevack
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 15:34 UTC by John Wregglesworth
Modified: 2007-04-18 17:22 UTC (History)
2 users (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 02:22:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Wregglesworth 2005-04-01 15:34:53 UTC
Description of problem: One of the options for rhnpush is --new_cache, but it
should be named --new-cache because _'s in options are annoying. This should be
an easy, one line change.

Comment 1 John Wregglesworth 2005-05-09 20:50:06 UTC
Test Plan:

o Use rhnpush to upload a package into a channel while without using the
--new-cache option. This will cause rhnpush to prompt you for your username and
password whick will be cached so you won't have to enter them the next time you
run rhnpush.

o Use rhnpush to upload a package into a channel again, still without
--new-cache.  As long as the cache hasn't expired (which takes 5 minutes by
default) you shouldn't be prompted for your username and password.

o Run rhnpush a third time, this time WITH --new-cache. This time you should be
prompted for your username and password because you included --new-cache.



Comment 2 Max Spevack 2005-08-03 20:57:03 UTC
PROD_READY


Note You need to log in before you can comment on or make changes to this bug.